Plank.easing_for_mode – plank Reference Manual

# easing_for_mode

## Description:

public double easing_for_mode (AnimationMode mode, double t, double d)

Calculate an interpolated value for selected animation-mode, and given elapsed time and total duration.

## Parameters:

mode | animation-mode to be used
t | elapsed time
d | total duration

## Returns:

the interpolated value, between -1.0 and 2.0

Namespace: Plank
Package: plank